/*
 * Copyright (c) 2002-2014, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.pluginwizard.service.generator;


/**
 * Markers constants
 */
public final class Markers
{
    public static final String MARK_LIST_BUSINESS_CLASS = "list_business_class";
    public static final String MARK_PLUGIN_APPLICATION = "plugin_application";
    public static final String MARK_PLUGIN_MODEL = "plugin_model";
    public static final String MARK_PLUGIN_NAME = "plugin_name";
    public static final String MARK_FEATURE_NAME = "feature_name";
    public static final String MARK_APPLICATION_NAME = "application_name";
    public static final String MARK_APPLICATION_CLASS = "application_class";
    public static final String MARK_FEATURE_RIGHT = "feature_right";
    public static final String MARK_BUSINESS_CLASS = "business_class";
    public static final String MARK_BUSINESS_CLASSES = "business_classes";
    public static final String MARK_JSP_TYPE = "jsp_type";
    public static final String MARK_PORTLET_TEMPLATE_TYPE = "template_type";
    public static final String MARK_PORTLET_JSP_TYPE = "portlet_jsp_type";
    public static final String MARK_PORTLET = "portlet";
    public static final String MARK_PORTLET_FILE_TYPE = "portlet_file_type";
    public static final String MARK_TEMPLATE_TYPE = "template_type";
    public static final String MARK_SQL_TYPE = "sql_type";
    public static final String MARK_LANGUAGE = "language";
    public static final String MARK_I18N_BRACKETS_OPEN = "i18n_open";
    public static final String MARK_I18N_BRACKETS_CLOSE = "i18n_close";
    public static final String MARK_VARIABLE = "variable";
    public static final String MARK_BRACKETS_OPEN = "bra_open";
    public static final String MARK_BRACKETS_CLOSE = "bra_close";
    public static final String MARK_MACRO = "macro";
    public static final String MARK_MACRO_DEF = "macro_def";
    public static final String MARK_INCLUDE = "include";
    public static final String MARK_PLUGIN = "plugin";
    public static final String MARK_FEATURE = "feature";
    public static final String MARK_LIST_BUSINESS_CLASSES = "business_classes";
    public static final String MARK_ADMIN_FEATURE = "admin_feature";
    public static final String MARK_APPLICATION = "application";
    public static final String MARK_RESOURCE_KEY_LIST = "list_resource";
    public static final String MARK_LIST_FEATURES = "features";
    public static final String MARK_LIST_APPLICATIONS = "applications";
    public static final String MARK_LIST_PORTLETS = "portlets";
    public static final String MARK_BEAN_NAME = "bean_name";

    /** Private constructor */
    private Markers(  )
    {
    }
}
